Subject: bug#37242: orgtbl-to-tsv drops empty cell

From: Bastien <[email-masked]>
Date: Tue, 18 Feb 2020 08:43:59 +0100

Dear Tak,

Tak Kunihiro <[email-masked]> writes:

> What orgtbl-to-tsv/csv does is to convert delimiters.  In my opinion,
> to drop out empty lines is overwork.

Empty lines in csv/tsv files (when they are not part of a
double-quoted field) are ignored or should be.

For example, the Python CSV parser ignores them.

So Org does the right thing at not reprensenting them at all IMHO.

> This comes from orgtbl-to-generic.  I cannot tell the behavior from
> docstring.  If this is not a bug, I feel like this behavior is random
> one.

Yes, I don't consider this a bug.  If you want to improve the
documentation, can you submit a patch?

Thanks,

-- 
 Bastien